import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';
import { RouterModule } from '@angular/router';

import {SearchRecommendedResultsForOrcidComponent} from './searchRecommendedResultsForOrcid.component';

import {SearchResultsModule } from '../../searchPages/searchUtils/searchResults.module';

import {SearchFormModule} from  '../../searchPages/searchUtils/searchForm.module';
import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';
import {SearchResearchResultsModule} from "../../searchPages/searchResearchResults.module";
import {OrcidService} from "../orcid.service";
// import {BreadcrumbsModule} from "../utils/breadcrumbs/breadcrumbs.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    RouterModule,
    SearchFormModule, SearchResearchResultsModule,
    // , BreadcrumbsModule
  ],
  declarations: [
    SearchRecommendedResultsForOrcidComponent
  ],
  providers:[ IsRouteEnabled, OrcidService],
  exports: [
    SearchRecommendedResultsForOrcidComponent
  ]
})
export class SearchRecommendedResultsForOrcidModule { }
